-------------
-- WARRIOR --
-------------

if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "WARRIOR") then
    return;
end

Watcher.classDefaults["WARRIOR"] = {
    ["newDefaultDate"] = 1413784706;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Arms";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellConditions"] = {};
            ["name"] = "Fury";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 19139;
                };
                [2] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
                [3] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 23922;
                    ["name"] = "Shield Slam";
                };
                [4] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 23922;
                    ["name"] = "Shield Slam";
                };
                [5] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 6572;
                    ["name"] = "Revenge";
                };
                [6] = {
                    ["filterSetId"] = 6;
                    ["spellId"] = 78;
                    ["name"] = "Heroic Strike";
                };
                [7] = {
                    ["filterSetId"] = 10;
                    ["spellId"] = 15760;
                };
                [8] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 6343;
                    ["name"] = "Thunder Clap";
                };
                [9] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 20243;
                    ["name"] = "Devastate";
                };
                [10] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 78;
                    ["name"] = "Heroic Strike";
                };
                [11] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 15759;
                };
                [12] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 46924;
                    ["name"] = "Bladestorm";
                };
            };
            ["name"] = "Protection";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
    };
    ["version"] = 0;
    ["spells"] = {
        [6572] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
            };
        };
        [20243] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
            };
        };
        [23922] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
                [2] = true;
            };
        };
        [15760] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
            };
        };
        [46924] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [11] = true;
            };
        };
        [15759] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
            };
        };
        [6343] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
                [8] = true;
            };
        };
        [118000] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [9] = true;
            };
        };
        [19139] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [12] = true;
            };
        };
        [78] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [4] = true;
                [6] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["settings"] = {};
            ["spellId"] = 23922;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["spellId"] = 23922;
            ["name"] = "Sword and Board";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["isBuff"] = true;
                    ["refreshThreshold"] = 0;
                    ["invert"] = true;
                    ["stackCount"] = 0;
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sword and Board";
                    ["filterType"] = "auras";
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["spellId"] = 6572;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [4] = {
            ["settings"] = {};
            ["spellId"] = 78;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [5] = {
            ["settings"] = {};
            ["name"] = "Usable";
            ["spellId"] = 6343;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [6] = {
            ["settings"] = {};
            ["spellId"] = 78;
            ["name"] = "Ultimatum Proc";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["isBuff"] = true;
                    ["refreshThreshold"] = 0;
                    ["invert"] = true;
                    ["stackCount"] = 0;
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Ultimatum";
                    ["filterType"] = "auras";
                };
            };
        };
        [7] = {
            ["settings"] = {};
            ["spellId"] = 6343;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [8] = {
            ["settings"] = {};
            ["spellId"] = 6343;
            ["name"] = "Glyhped";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["glyphSpellId"] = 507;
                    ["filterType"] = "glyph";
                };
            };
        };
        [9] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 118000;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [10] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 15760;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [11] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 46924;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [12] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 19139;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["spellId"] = 20243;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [14] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 15759;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
    };
};
